Products
Get product
Developer API operation for GET /dev/v1/products/.
GET
/
dev
/
v1
/
products
/
{id}
Get product
curl --request GET \
--url https://api.shoppex.io/dev/v1/products/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/products/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/products/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "prod_db_1",
"uniqid": "prod_1",
"shop_id": "shop_1",
"slug": "starter-pack",
"type": "DYNAMIC",
"subtype": null,
"title": "Starter Pack",
"currency": "USD",
"price": 19.99,
"price_display": 19.99,
"cost": null,
"cost_display": null,
"discount_percent": 0,
"pay_what_you_want": false,
"description": "Product description",
"description_tabs": [
{
"title": "Features",
"content": "<p>Instant delivery, 24/7 support.</p>"
}
],
"gateways": [
"PAYPAL"
],
"custom_fields": [],
"delivery_instructions": null,
"volume_discounts": [],
"quantity_min": 1,
"quantity_max": -1,
"quantity_warning": 0,
"stock": 0,
"stock_delimiter": "\n",
"unlisted": false,
"private": false,
"on_hold": false,
"sort_priority": 0,
"crypto_confirmations": 1,
"max_risk_level": 0,
"block_vpn_proxies": false,
"delivery_text": "",
"delivery_time": null,
"service_text": "",
"dynamic_webhook": null,
"terms_of_service": null,
"warranty_days": 0,
"warranty_text": null,
"watermark_enabled": true,
"watermark_text": null,
"redirect_link": null,
"video_link": null,
"image_id": null,
"image_url": null,
"file_id": null,
"recurring_interval": null,
"recurring_interval_count": null,
"trial_period": null,
"licensing_enabled": false,
"license_period": null,
"affiliate_revenue_percent": 0,
"affiliate_customer_discount_mode": "USE_STORE_DEFAULT",
"affiliate_customer_discount_percent": null,
"category_id": null,
"variants": [],
"created_at": 1711965600,
"updated_at": 1711965600
}
}Previous
Get product stockReturns the current stock snapshot for one product. For `SERIALS` products, `available_stock` is calculated from currently available serial inventory.
Next
⌘I
Get product
